package com.example.android;

import android.os.Handler;
import android.widget.TextView;

import java.util.List;

public class Utils {

	private static StatusTracker statusTracker = StatusTracker.getInstance();

	// status kiirasa
	public static void printStatus(final TextView viewMethods,
			final TextView viewStatus) {
		Handler handler = new Handler();
		handler.postDelayed(new Runnable() {
			public void run() {

				StringBuilder sb = new StringBuilder();
				List<String> listMethods = statusTracker.getMethodList();
				for (String method : listMethods) {
					sb.insert(0, method + "\n");
				}
				if (viewMethods != null) {
					viewMethods.setText(sb.toString());
				}

				StringBuilder sbStatus = new StringBuilder();
				for (String key : statusTracker.keySet()) {
					sbStatus.insert(0, key + ": " + statusTracker.getStatus(key) + "\n");
				}
				if (viewStatus != null) {
					viewStatus.setText(sbStatus.toString());
				}
			}
		}, 750);
	}
}
